﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.TrendUpdateDbViewModel

@{
    ViewBag.Title = "Edit Trend";
    Layout = "~/Views/Shared/_LayoutWithoutLeftMenu.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<style>
    .card-header-tabs-name-container {
        display: flex;
        justify-content: space-between;
    }
    .card-header-tabs-name.card-headertab-status {
        font-weight: normal;
    }
    .card-header-tabs-name {
        flex: 1;
        font-weight: bold;
    }
</style>
<div id="content" class="content">


    <div class="row">
        <div class="col-lg-5">
            <div class="clearfix">
                <h5>Project Name : @ViewBag.ProjectName</h5>
            </div>
        </div>
        <div class="col-lg-5">
            <div class="clearfix">
                <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
            </div>
        </div>
    </div>
    <div class="card-header-tabs-namevalue-wrapper section-container section-with-top-border">
        <div class="card-header-tabs-name-container">
            <div class="card-header-tabs-name">Keyword</div>
            <div class="card-header-tabs-name">Industry</div>
            <div class="card-header-tabs-name">Market</div>
            <div class="card-header-tabs-name">Project</div>
            <div class="card-header-tabs-name">Geography</div>
            <div class="card-header-tabs-name">Company Group</div>
            <div class="card-header-tabs-name">Time Tag</div>
            <div class="card-header-tabs-name">Ecosystem</div>
            <div class="card-header-tabs-name">Key Companies</div>
            <div class="card-header-tabs-name">Value</div>
        </div>
        <div class="card-header-tabs-name-container">
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "KEYWORD").Select(x=>x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "INDUSTRY").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "MARKET").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "PROJECT").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "REGION").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "COMPANY GROUP").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "TIME TAG").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "ECOSYSTEM").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "KEYCOMPANY").Select(x => x.TrendStatusName).SingleOrDefault()</div>
            <div class="card-header-tabs-name card-headertab-status">@Model.StatusList.Where(C => C.TrendType == "VALUE").Select(x => x.TrendStatusName).SingleOrDefault()</div>
        </div>
    </div>
    <div class="section-container section-with-top-border"><h4> Edit Trend</h4></div>
    
    @if (ViewBag.Message != null)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("Edit", "Trend", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">


                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)
                @Html.HiddenFor(model => model.ProjectID)
                @Html.HiddenFor(model => model.TrendStatusID)

                <div class="form-group">



                    <div class="col-md-12 m-b-25">
                        <div class="panel panel-info" data-sortable-id="ui-widget-8">
                            <div class="panel-heading">
                                @Html.LabelFor(model => model.TrendName, "Trend Name", htmlAttributes: new { @class = "col-md-2" })
                            </div>
                            @Html.TextAreaFor(model => model.TrendName, htmlAttributes: new { @class = "form-control", rows = "10" })
                            @Html.ValidationMessageFor(model => model.TrendName, "", new { @class = "text-danger" })

                            <script>
                                CKEDITOR.replace('TrendName', {
                                    height: 40,
                                    toolbarGroups: [{
                                        "name": "basicstyles",
                                        "groups": ["basicstyles"]
                                    },
                                    {
                                        "name": "links",
                                        "groups": ["links"]
                                    },
                                    {
                                        "name": "paragraph",
                                        "groups": ["list", "blocks"]
                                    },
                                    {
                                        "name": "document",
                                        "groups": ["mode"]
                                    },
                                    {
                                        "name": "insert",
                                        "groups": ["insert"]
                                    },
                                    {
                                        "name": "styles",
                                        "groups": ["styles"]
                                    },
                                    {
                                        "name": "about",
                                        "groups": ["about"]
                                    }
                                    ],
                                    removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                });

                            </script>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                                    <div class="panel-heading">
                                        @Html.LabelFor(model => model.AuthorRemark, "Author Notes", htmlAttributes: new { @class = "col-md-6" })
                                    </div>
                                    @Html.TextAreaFor(model => model.AuthorRemark, htmlAttributes: new { @class = "form-control no-rounded-corner", rows = "6" })
                                    @Html.ValidationMessageFor(model => model.AuthorRemark, "", new { @class = "text-danger" })
                                    <script>
                                        CKEDITOR.replace('AuthorRemark', {
                                            height: 40,
                                            toolbarGroups: [{
                                                "name": "basicstyles",
                                                "groups": ["basicstyles"]
                                            },
                                            {
                                                "name": "links",
                                                "groups": ["links"]
                                            },
                                            {
                                                "name": "paragraph",
                                                "groups": ["list", "blocks"]
                                            },
                                            {
                                                "name": "document",
                                                "groups": ["mode"]
                                            },
                                            {
                                                "name": "insert",
                                                "groups": ["insert"]
                                            },
                                            {
                                                "name": "styles",
                                                "groups": ["styles"]
                                            },
                                            {
                                                "name": "about",
                                                "groups": ["about"]
                                            }
                                            ],
                                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                        });

                                    </script>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                                    <div class="panel-heading">
                                        @Html.LabelFor(model => model.ApproverRemark, "Approver Notes", htmlAttributes: new { @class = "col-md-6" })
                                    </div>
                                    @Html.TextAreaFor(model => model.ApproverRemark, htmlAttributes: new { @class = "form-control no-rounded-corner", rows = "6" })
                                    @Html.ValidationMessageFor(model => model.ApproverRemark, "", new { @class = "text-danger" })
                                    <script>
                                        CKEDITOR.replace('ApproverRemark', {
                                            height: 40,
                                            toolbarGroups: [{
                                                "name": "basicstyles",
                                                "groups": ["basicstyles"]
                                            },
                                            {
                                                "name": "links",
                                                "groups": ["links"]
                                            },
                                            {
                                                "name": "paragraph",
                                                "groups": ["list", "blocks"]
                                            },
                                            {
                                                "name": "document",
                                                "groups": ["mode"]
                                            },
                                            {
                                                "name": "insert",
                                                "groups": ["insert"]
                                            },
                                            {
                                                "name": "styles",
                                                "groups": ["styles"]
                                            },
                                            {
                                                "name": "about",
                                                "groups": ["about"]
                                            }
                                            ],
                                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                        });

                                    </script>

                                </div>
                            </div>
                        </div>
                        <!-- begin col-6 -->

                    </div>

                </div>
                @Html.Partial("_TrendAction")
                @*<div class="col-md-offset-5 p-l-15" style="text-align: center;">

                        <button type="submit" name="actionName" value="Previous" class="btn btn-grey btn-rounded m-b-5 width-100">Previous</button>
                    <button type="submit" name="actionName" value="Update" class="btn btn-grey btn-rounded m-b-5 width-100">Update</button>
                    <a href="~/Trend/Index/@Model.ProjectID" class="btn btn-grey btn-rounded m-b-5 width-100">Cancel</a>
                    <button type="submit" name="actionName" value="Submit" class="btn btn-grey btn-rounded m-b-5 width-100">Submit</button>
                    <button type="submit" name="actionName" value="Approve" class="btn btn-grey btn-rounded m-b-5 width-100">Approve</button>
                    <button type="submit" name="actionName" value="Reject" class="btn btn-grey btn-rounded m-b-5 width-100">Reject</button>
                    <button type="submit" name="actionName" value="Next" class="btn btn-grey btn-rounded m-b-5 width-100">Next</button>
                    </div>*@
            </div>


        }
    </div>
    <div id="footer" class="footer" style="position:fixed; bottom:0; left:15%;">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Avira Admin</b> All Right Reserved
    </div>
</div>
